# $Revision: 1.7 $, $Date: 2003/12/30 20:11:59 $
Summary:	Ogg Vorbis output plugin for XMMS
Summary(pl):	Wtyczka dla XMMS kompresujca wyjcie do plikw Ogg Vorbis
Name:		xmms-output-ogg
Version:	0.2
Release:	3
License:	GPL
Group:		Development/Libraries
Source0:	http://dl.sourceforge.net/my-xmms-plugs/oggre-%{version}.tar.gz
# Source0-md5:	247eff58c8310a1f21bb84c46d3e5848
Patch0:		%{name}-enc.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libogg-devel
BuildRequires:	libtool
BuildRequires:	libvorbis-devel
BuildRequires:	rpmbuild(macros) >= 1.125
BuildRequires:	xmms-devel
Requires:	xmms
Provides:	xmms-output-plugin
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the oggre output plugin for xmms. It enables you to output all
media played using xmms into the Ogg-Vorbis files.

%description -l pl
To jest wtyczka wyjciowa oggre dla xmms. Umoliwia przekierowanie
wyjcia caego dwiku odgrywanego przez xmms do plikw Ogg-Vorbis.

%prep
%setup -q -n oggre
%patch -p1

%build
rm -f missing
%{__libtoolize}
%{__aclocal} -I macros
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	libdir=%{xmms_output_plugindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README ChangeLog AUTHORS
%attr(755,root,root) %{xmms_output_plugindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmms-output-ogg.spec,v $
Revision 1.7  2003/12/30 20:11:59  undefine
- release 3

Revision 1.6  2003/08/04 21:25:00  grzegol
- added new macros [BR: rpmbuild(macros) >= 1.125]
- cosmetics/sorting/simplifications/more (B)Rs and so on
- rel. ++

Revision 1.5  2003/05/28 13:03:09  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 06:28:25  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/02/09 19:06:44  kloczek
- install plugin in system avalailbe xmms plugin depending path.

Revision 1.2  2003/02/02 01:39:19  qboosh
- pl description

Revision 1.1  2003/01/30 18:49:59  wolf
- new
